# eric4.VCS.vcsCVS.CvsCommitDialog

Module implementing a dialog to enter the commit message.

### Classes

CvsCommitDialog | Class implementing a dialog to enter the commit message.

### Functions

None

## CvsCommitDialog

Class implementing a dialog to enter the commit message.

#### Signals

accepted()
  emitted, if the dialog was accepted
rejected()
  emitted, if the dialog was rejected

### Derived from

QWidget, Ui_CvsCommitDialog

### Methods

CvsCommitDialog | Constructor
logMessage | Public method to retrieve the log message.
on_buttonBox_accepted | Private slot called by the buttonBox accepted signal.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_buttonBox_rejected | Private slot called by the buttonBox rejected signal.

#### CvsCommitDialog (Constructor)

CvsCommitDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

#### CvsCommitDialog.logMessage

logMessage()

Public method to retrieve the log message.

Returns:
  the log message (QString)

#### CvsCommitDialog.on_buttonBox_accepted

on_buttonBox_accepted()

Private slot called by the buttonBox accepted signal.

#### CvsCommitDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### CvsCommitDialog.on_buttonBox_rejected

on_buttonBox_rejected()

Private slot called by the buttonBox rejected signal.

Up